## org.w3c.tools.log
Class DNSResolver

    java.lang.Object
      |
      +--org.w3c.tools.log.DNSResolver

public class DNSResolver
extends java.lang.Object

Constructor Summary
`DNSResolver(java.io.BufferedReader bf)`
`DNSResolver(java.io.BufferedReader bf, boolean timestamp)`
`DNSResolver(java.io.BufferedReader bf, int cacheSize)`
`DNSResolver(java.io.BufferedReader bf, int cacheSize, boolean timestamp)`

Method Summary
`void` | `readLog()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       int cacheSize,
                       boolean timestamp)

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       int cacheSize)

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       boolean timestamp)

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf)

Method Detail

### readLog

    public void readLog()